package com.docus.sw.fenpan;

import com.docus.sw.Config;
import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public class Document {

    /**
     * 宽
     */
    private Integer width;

    /**
     * 长
     */
    private Integer longTh;

    private Integer dpi;


    //写一个方法判断是 A3 还是 A4

    public Boolean isA3() {
        if (width / dpi * 2.54 > Integer.parseInt(Config.getParam("a3.width"))
                || longTh / dpi * 2.54 > Integer.parseInt(Config.getParam("a3.length"))) {
            return true;
        }
        return false;
    }

}
