package com.docus.sw.souyin;

import org.apache.commons.lang3.tuple.Pair;

import java.util.List;

public class PdfToPic {

    public static void main(String[] args) {
        new PdfToPic().pdfDocumentToImage2();
    }

    /**
     * 多页PDF文档转为图片
     * 此处单元测试的注解是采用:org.junit.Test
     */

    public void pdfDocumentToImage2() {
        String source = "C:\\jiahsi-saomiao\\缩微\\test\\example.pdf";
        String desFileName = "example";
        String desFilePath = "C:\\jiahsi-saomiao\\缩微\\test\\";
        String imageType = "png";
        Pair<Boolean, Object> pair = PdfUtil.pdfToImage(source, desFilePath, desFileName, imageType);
        System.out.println("PDF文档转化为图片结果：" + pair.getLeft());
        if (!pair.getLeft()) {
            System.out.println("" + pair.getRight());
        } else {
            List<String> fileList = (List<String>) pair.getRight();
            System.out.println("转化的文件的内容：");
            fileList.forEach(System.out::println);
        }
    }


    public static void toPic(String source, String desFilePath, String desFileName, String imageType){
        Pair<Boolean, Object> pair = PdfUtil.pdfToImage(source, desFilePath, desFileName, imageType);
        System.out.println("PDF文档转化为图片结果：" + pair.getLeft());
        if (!pair.getLeft()) {
            System.out.println("" + pair.getRight());
        } else {
            List<String> fileList = (List<String>) pair.getRight();
            System.out.println("转化的文件的内容：");
            fileList.forEach(System.out::println);
        }
    }


    public static void toPicDesc(String source, String desFilePath, String desFileName, String imageType){
        Pair<Boolean, Object> pair = PdfUtil.pdfToImageDesc(source, desFilePath, desFileName, imageType);
        System.out.println("PDF文档转化为图片结果：" + pair.getLeft());
        if (!pair.getLeft()) {
            System.out.println("" + pair.getRight());
        } else {
            List<String> fileList = (List<String>) pair.getRight();
            System.out.println("转化的文件的内容：");
            fileList.forEach(System.out::println);
        }
    }

}
