package com.docus.sw.fenpan;

import lombok.Getter;

import java.util.ArrayList;
import java.util.List;

/**
 * 盘
 */
@Getter
public class Plate {

    /**
     * 这个是可以设置的。默认是2800
     */
    private Integer totalLength;

    /**
     * 已有大小
     */
    private Integer already;

    private List<Roll> rollList;

    private String name;


    //是否还可以放下新的卷
    public Boolean put(Roll roll) {
        if(already + roll.getSize() - totalLength >= 0){
            return  false;
        }
        this.already  = already+roll.getSize();
        rollList.add(roll);
        return  true;
    }


    public Plate(Integer totalLength,String name){
        this.totalLength = totalLength;
        this.rollList = new ArrayList<>();
        this.already = 0;
        this.name = name;
    }


}
